Update MT4 before 1 July

Announcement from 24/06/2019

Starting 1st July, 2019, all but the latest version of MetaTrader 4 will not be able to connect to trading servers, and trades will not go through (as recently announced by the licensor of MT4).

Please update your MetaTrader 4 app to version 1170 (latest) before 1st July, 2019.

Open and restart the app on your device as it should check for updates and install them automatically. If it doesn’t, download the latest version here.

If unsure which version you’re running, open the ‘Help’ menu in MetaTrader 4 and select ‘About’. If you opened the app since December 2018, you probably have the latest version. But better safe than losing connection to trading servers.

With any questions about installing the update, please do not hesitate to contact us.

Please note that some older news announcements may now be out of date and not currently accurate.

← Back to Company News

 

Interested in Forex trading?
Make FXChoice your choice today.
Thousands of traders already have!